## org.apache.batik.dom.svg
Class AbstractSVGNumber

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGNumber

All Implemented Interfaces:
  org.w3c.dom.svg.SVGNumber

Direct Known Subclasses:
  AbstractSVGNumberList.SVGNumberItem

    public abstract class AbstractSVGNumber

extends java.lang.Object
implements org.w3c.dom.svg.SVGNumber

Implementation of `SVGNumber`.

Field Summary
`protected float` `value` The number.

Constructor Summary
`AbstractSVGNumber()`

Method Summary
`float` `getValue()` DOM: Implements `SVGNumber.getValue()`.
`void` `setValue(float f)` DOM: Implements `SVGNumber.setValue(float)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected float value

  The number.

Constructor Detail

### AbstractSVGNumber

    public AbstractSVGNumber()

Method Detail

### getValue

    public float getValue()

  DOM: Implements `SVGNumber.getValue()`.

  Specified by:
    `getValue` in interface `org.w3c.dom.svg.SVGNumber`

### setValue

    public void setValue(float f)

  DOM: Implements `SVGNumber.setValue(float)`.

  Specified by:
    `setValue` in interface `org.w3c.dom.svg.SVGNumber`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.